package com.phm.manage.service;

import java.util.List;
import com.phm.manage.domain.DataDownResult;

/**
 * 数据下载Service接口
 * 
 * @author phm
 * @date 2023-08-24
 */
public interface IDataDownResultService 
{
    /**
     * 查询数据下载
     * 
     * @param id 数据下载主键
     * @return 数据下载
     */
    public DataDownResult selectDataDownResultById(Long id);

    /**
     * 查询数据下载列表
     * 
     * @param dataDownResult 数据下载
     * @return 数据下载集合
     */
    public List<DataDownResult> selectDataDownResultList(DataDownResult dataDownResult);

    /**
     * 新增数据下载
     * 
     * @param dataDownResult 数据下载
     * @return 结果
     */
    public int insertDataDownResult(DataDownResult dataDownResult);

    /**
     * 修改数据下载
     * 
     * @param dataDownResult 数据下载
     * @return 结果
     */
    public int updateDataDownResult(DataDownResult dataDownResult);

    /**
     * 批量删除数据下载
     * 
     * @param ids 需要删除的数据下载主键集合
     * @return 结果
     */
    public int deleteDataDownResultByIds(Long[] ids);

    /**
     * 删除数据下载信息
     * 
     * @param id 数据下载主键
     * @return 结果
     */
    public int deleteDataDownResultById(Long id);
}
